Bug 141938 - [patch] archivers/arj has some bit-rot
[patch] archivers/arj has some bit-rot
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
Depends on:
  Show dependency treegraph
Reported: 2009-12-24 01:10 UTC by tedm
Modified: 2010-01-18 12:30 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description tedm 2009-12-24 01:10:05 UTC
Building arj-3.10.22.tar.gz. in /usr/ports/archivers/arj  spews several
errors like:

TODAY v 1.22  [29/10/2000]  Not a part of any binary package!
(this is repeated multiple times during the build)

fardata.c: In function 'vcprintf':
fardata.c:665: warning: 'short int' is promoted to 'int' when passed through '...'
fardata.c:665: warning: (so you should pass 'int' not 'short int' to 'va_arg')
fardata.c:665: note: if this code is reached, the program will abort
fardata.c:667: warning: 'short unsigned int' is promoted to 'int' when passed through '...'
fardata.c:667: note: if this code is reached, the program will abort

ARJDATA: unknown tag <@!_">
ARJDATA: unknown tag <@: display program option\np: match with Pathname       !: execute command option\n">

Fix: The following patch shuts off the worst complaint:

but there's still plenty of compiler warnings and such that should be
looked at, also that patch should be properly ifdef'ed--s51z1K1CeFXSbL8tdYELicM4qGr0xt9OrXBxwEOBHBhnYHM9
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- fardata.c.orig      2009-12-23 17:01:40.000000000 -0800
+++ fardata.c   2009-12-23 17:01:58.000000000 -0800
@@ -662,9 +662,9 @@
      num=va_arg(args, int);             /* num=va_arg(args, unsigned short);*/
-     num=va_arg(args, short);
+     num=va_arg(args, int);
-     num=va_arg(args, unsigned short);
+     num=va_arg(args, int);
    else if(flags&SIGN)
How-To-Repeat: cd /usr/ports/archivers/arj
Comment 1 Mark Linimon freebsd_committer 2009-12-24 13:07:11 UTC
Responsible Changed
From-To: freebsd-bugs->garga

Make this a ports PR, fix synopsis, and assign.
Comment 2 dfilter freebsd_committer 2010-01-18 12:25:35 UTC
garga       2010-01-18 12:25:21 UTC

  FreeBSD ports repository

  Modified files:
    archivers/arj        Makefile 
  Added files:
    archivers/arj/files  patch-fardata.c 
  Silent some compiler warnings that could result on program abort
  PR:             ports/141938 (based on)
  Submitted by:   Ted Mittelstaedt <tedm@ipinc.net>
  Revision  Changes    Path
  1.29      +1 -1      ports/archivers/arj/Makefile
  1.1       +11 -0     ports/archivers/arj/files/patch-fardata.c (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2010-01-18 12:25:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!